Package net.shibboleth.idp.session.impl

# Class StorageBackedSessionManager.DefaultConsistentAddressConditionFactory

java.lang.Object
net.shibboleth.idp.session.impl.StorageBackedSessionManager.DefaultConsistentAddressConditionFactory

Enclosing class:
  StorageBackedSessionManager

public static class StorageBackedSessionManager.DefaultConsistentAddressConditionFactory extends Object
Simplifies Spring wiring of a true/false condition for the consistentAddress feature.

Since:
  4.0.0

## Constructor Summary

Constructors
Constructor
Description
`DefaultConsistentAddressConditionFactory()`

## Method Summary

Modifier and Type
Method
Description
`static BiPredicate<String,String>`
`getDefaultConsistentAddressCondition(boolean flag)`
Returns a suitable `BiPredicate` to satisfy a simple true/false value for the consistentAddress feature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConsistentAddressConditionFactory

public DefaultConsistentAddressConditionFactory()

## Method Details

### getDefaultConsistentAddressCondition

@Nonnull public static BiPredicate<String,String> getDefaultConsistentAddressCondition(boolean flag)
Returns a suitable `BiPredicate` to satisfy a simple true/false value for the consistentAddress feature.

Parameters:
  `flag` - true/false value for the feature
Returns:
  a `BiPredicate` that satisfies the input